zenilib: Zeni::Widget_Renderer_Check_Box Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Widget_Renderer_Check_Box Class Reference

`#include <Widget.h>`

Inherits Zeni::Widget_Render_Function.

## Public Member Functions

| Widget_Renderer_Check_Box ()
| Widget_Renderer_Check_Box (const Color &border_color_, const Color &check_color_)
virtual Widget_Renderer_Check_Box * | get_duplicate () const
virtual void | render_to (const Widget &widget)
| rect must be of type Check_Box More...
Public Member Functions inherited from Zeni::Widget_Render_Function
virtual | ~Widget_Render_Function ()

## Public Attributes

Color | border_color
Color | check_color

## Detailed Description

Definition at line 402 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Widget_Renderer_Check_Box::Widget_Renderer_Check_Box | ( |  | ) |

inline

Definition at line 297 of file Widget.hxx.

Referenced by get_duplicate().

Zeni::Widget_Renderer_Check_Box::Widget_Renderer_Check_Box | ( | const Color & | border_color_,
|  | const Color & | check_color_
| ) |  |

inline

Definition at line 303 of file Widget.hxx.

## Member Function Documentation

Widget_Renderer_Check_Box * Zeni::Widget_Renderer_Check_Box::get_duplicate | ( |  | ) | const

virtual

Implements Zeni::Widget_Render_Function.

Definition at line 195 of file Widget.cpp.

References Widget_Renderer_Check_Box().

void Zeni::Widget_Renderer_Check_Box::render_to | ( | const Widget & | widget | ) |

virtual

rect must be of type Check_Box

Implements Zeni::Widget_Render_Function.

Definition at line 146 of file Widget.cpp.

References Zeni::Color::a, border_color, check_color, Zeni::Widget_Rectangle::get_lower_left(), Zeni::Widget_Rectangle::get_lower_right(), Zeni::Widget_Rectangle::get_upper_left(), Zeni::Widget_Rectangle::get_upper_right(), Zeni::get_Video(), Zeni::Check_Box::is_checked(), Zeni::Check_Box::is_toggling(), and Zeni::Video::render().

## Member Data Documentation

Color Zeni::Widget_Renderer_Check_Box::border_color

Definition at line 412 of file Widget.h.

Referenced by render_to().

Color Zeni::Widget_Renderer_Check_Box::check_color

Definition at line 413 of file Widget.h.

Referenced by render_to().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx